#!-----------------------------------------------------------------------
#TEMPLATE(etouch4OverrideHiddenControlH5,'etouch4 H5 Override Hidden List Controls'),FAMILY('ABC')
#!-----------------------------------------------------------------------
#!
#! For use with Web Builder H5 templates. Thanks to Diego from SV for the tips
#! Make sure you pass the variables prior to open windows
#! This overrides the default list inline buttons behaviour where the original control is hidden
#!-----------------------------------------------------------------------
#EXTENSION(etouch4OverrideHiddenControlH5,'etouch4 H5 Override Hidden List Controls'),APPLICATION, LAST
#!-----------------------------------------------------------------------
#GLOBALDATA
etouch4::HideOriginalControlButton byte(0) ! overrides the default action when choosing list buttons 05 oct 16

#ENDGLOBALDATA
#!--------------------------------------------------

#AT(%WindowManagerMethodCodeSection,'Init','(),BYTE'),PRIORITY(8070),DESCRIPTION('Override hidden buttons h5')
    #FOR(%Control),WHERE(%ControlType='LIST')
	#EMBED(%etouch4HideenButtonsBefore,'etouch4 Web Length of Lists before set property')
#?IF (WebServer.IsEnabled()) 

#IF (%ControlType = 'BUTTON')
      #CASE (SUB(UPPER(%Control),1,5))
      #OF ('?EXIT')
      #OROF ('?CLOS')
            SELF.SetExtraProperty('btnStyle', 'danger')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Exit')
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon glyphicon-off') 
             #?END

      #OF ('?CANC')                                  
             SELF.SetExtraProperty('btnStyle', 'danger')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Go Back')
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon glyphicon-backward') 
             #?END


      #OF ('?VIEW')
             SELF.SetExtraProperty('btnStyle', 'info')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' View')
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon  glyphicon-zoom-in') 
             #?END

      #OF ('?OK')
             SELF.SetExtraProperty('btnStyle', 'success')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Save')
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon  glyphicon-ok') 
             #?END


      #OF ('?CHAN')
      #OROF ('?EDIT')
             SELF.SetExtraProperty('btnStyle', 'warning active')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Edit')
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon glyphicon-edit') 
             #?END


      #OF ('?INSE')
      #OROF ('?ADD')
             SELF.SetExtraProperty('btnStyle', 'success')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Add')
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon  glyphicon-plus') 
             #?END


     #OF ('?SELE')
             SELF.SetExtraProperty('btnStyle', 'success')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Choose')
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon  glyphicon-ok') 
             #?END


      #OF ('?DELE')
             SELF.SetExtraProperty('btnStyle', 'default')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Delete')
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon glyphicon-remove')
             #?END
			 
      #OF ('?BSSE')
             SELF.SetExtraProperty('btnStyle', 'primary')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Search')
				  
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon glyphicon-zoom-in')
             #?END
			 
      #OF ('?BSRE')
             SELF.SetExtraProperty('btnStyle', 'danger')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Reset')
				  
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon glyphicon-refresh')
             #?END
			 
      #ENDCASE

#ENDIF
#?END
	#EMBED(%etouch4LengthOfListsAfter,'etouch4 Web Length of Lists after set property')
	
    #ENDFOR
#ENDAT